/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
// winminiracer.h: Win32-specific MiniRacer header file

#pragma warning (disable : 4229)	// mgraph gets this

#include	<windows.h>

extern	HINSTANCE	hInstance;
extern	qboolean	ActiveApp;
extern	HANDLE		hinput, houtput;

int		(PASCAL FAR *pWSAStartup)(WORD wVersionRequired, LPWSADATA lpWSAData);
int		(PASCAL FAR *pWSACleanup)(void);
int		(PASCAL FAR *pWSAGetLastError)(void);
int		(PASCAL FAR *pioctlsocket)(SOCKET s, long cmd, u_long FAR *argp);
int		(PASCAL FAR *psetsockopt)(SOCKET s, int level, int optname, const char FAR * optval, int optlen);
int		(PASCAL FAR *precvfrom)(SOCKET s, char FAR * buf, int len, int flags, struct sockaddr FAR *from, int FAR * fromlen);
int		(PASCAL FAR *psendto)(SOCKET s, const char FAR * buf, int len, int flags, const struct sockaddr FAR *to, int tolen);
int		(PASCAL FAR *pclosesocket)(SOCKET s);
int		(PASCAL FAR *pgethostname)(char FAR * name, int namelen);
int		(PASCAL FAR *pgetsockname)(SOCKET s, struct sockaddr FAR *name, int FAR * namelen);

SOCKET	(PASCAL FAR *psocket)(int af, int type, int protocol);

struct hostent FAR * (PASCAL FAR *pgethostbyname)(const char FAR * name);
struct hostent FAR * (PASCAL FAR *pgethostbyaddr)(const char FAR * addr, int len, int type);
